#!/usr/bin/python3
#
# Copyright 2016 Kirk A Jackson DBA bristoSOFT all rights reserved.  All methods,
# techniques, algorithms are confidential trade secrets under Ohio and U.S.
# Federal law owned by bristoSOFT.
#
# Kirk A Jackson dba bristoSOFT
# 4100 Executive Park Drive
# Suite 11
# Cincinnati, OH  45241
# Phone (513) 401-9114
# email jacksonkirka@bristosoft.com
#
# The trade name bristoSOFT is a registered trade name with the State of Ohio
# document No. 201607803210.
#
'''

main.py is the startup module for bristoSOFT Contacts v. 0.1 in the
Model/View Controller context.  The model is a PostgreSQL 9.4+ database and the view
consist of interfaces generated by Qt Designer and finally the controller are
the python scripts herein.

'''

# Imports
import sys
import sip
sip.setapi('QString', 2)

from PyQt5.QtCore import *
from PyQt5.QtGui import *
from control.controller import *

__version__ = '0.1' # Version assignment

def main():
    '''
    main is Contacts startup function and it has the task of setting up the
    environment and main window it then invokes the controller.
    '''
    app = QApplication(sys.argv)
    contacts = Controller()
    contacts.setWindowIcon(QIcon(":/icons/icons/family.ico"))
    contacts.show()
    app.exec_()

if __name__ == '__main__':
    main()
